MPI_File_open(3)

NAME
MPI_File_open - Opens a file

SYNOPSIS
#include "mpi.h"
int MPI_File_open(MPI_Comm comm, char *filename, int amode,
                  MPI_Info info, MPI_File *fh)

INPUT PARAMETERS
comm
    - communicator (handle)
filename
    - name of file to open (string)
amode
    - file access mode (integer)
info
    - info object (handle)

OUTPUT PARAMETERS
fh  - file handle (handle)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for 'MPI_WTIME' and 'MPI_WTICK') have an additional argument 'ierr' at the end of the argument list. 'ierr' is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines and are invoked with the 'call' statement.

All MPI objects (e.g., 'MPI_Datatype', 'MPI_Comm', 'MPI_File') are of type 'INTEGER' in Fortran.